<block-ui message="Loading..."> </block-ui>
<div class="pl-5 pr-5">
  <h3 class="mb-3 mt-3" id="heading">Treatment Notes Template</h3>
  <mat-tab-group color="warn">
    <mat-tab label="Template Library">
      <div class="row mt-3">
        <div class="col-xl-6">
          <p *ngIf="displaySuccessMessage" class="alert d-flex align-items-center mb-4" class="alert-success">
            <mat-icon class="success"> check_circle </mat-icon>
            <span>
              {{ displaySuccessMessage }}
            </span>
          </p>
        </div>
        <div class="col-xl-6 d-flex justify-content-end">
          <div class="ml-3">
            <button
              mat-stroked-button
              color="accent"
              [routerLink]="['/settings/treatmentnotestemplate']"
              class="mr-3"
            >
              Return to Template List
            </button>
            <button
              *appAccess="moduleName;lookFor: 'C'"
              mat-raised-button
              color="accent"
              [routerLink]="['/settings/treatmentnotestemplate/add']"
              class="wide"
            >
              Add Template
            </button>
          </div>
        </div>
      </div>

      <mat-expansion-panel expanded="true" class="panel-height mt-3">
        <div class="col-xl-12 d-flex align-items-center mat-panel-header"></div>
        <div class="row">
          <div class="col-xl-12 d-flex mt-3">
            <p>
              Click on any of the speciality to view the respective templates
            </p>
          </div>

          <div
            *ngFor="let t of totalTreatmentNotesTemplateLibraryModel"
            class="col-xl-3 d-flex"
          >
            <div class="card container">
              <h4>
                <b>{{ t.specialityName }}</b>
              </h4>
              <p class="mt-3" *ngIf="t.templateCount !== 0 &&  t.specialityName !== 'All specialities'">
                <a
                  [routerLink]="[
                    '/settings/templatelibrary/speciality/',
                    t.specialityId
                  ]"
                  >{{ t.templateCount }} Templates
                </a>
              </p>
              <p class="gray-text mt-3" *ngIf="t.templateCount === 0">
                {{ t.templateCount }} Templates
              </p>
              <p class="gray-text mt-3" *ngIf="t.specialityName === 'All specialities'">
                <a [routerLink]="[
                  '/settings/templatelibrary/speciality/',
                  0
                ]">
                  {{ t.templateCount }} Templates
                </a>
              </p>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-tab>
  </mat-tab-group>
</div>
